<div class="container">
  <p id="intro">
    Dieses interaktive Element visualisiert die Schritte, die vollzogen werden m&uuml;ssen, um ein
    Entity-Relationship-Modell in das zugehörige Relationenmodell zu &uuml;berf&uuml;hren.
  </p>
  <div id="stufe0" class="stufe">
    <div class="div1">
      <div class="stufe-text">
        <h3 id="anzeige" >1. Tabellen erstellen</h3>
        Zuerst m&uuml;ssen die Tabellen erstellt werden.
        <ul class="ovk-bullet-list">
          <li>Jeder Entit&auml;tstyp erh&auml;lt seine eigene Tabelle.</li>
          <li>Jeder Beziehungstyp mit eigenen Attributen erh&auml;lt seine eigene Tabelle.</li>
        </ul>
      </div>
      <div class="card ovk-aufgabe">
        <div class="card-header">
          W&auml;hle durch Anklicken die Entit&auml;tstypen aus, um eine Tabelle zu erstellen.
        </div>
      </div>
    </div>
  </div>
  <div id="stufe1" class="stufe">
    <div class="stufe-text">
      <h3 id="anzeige" >2. Attribute eintragen</h3>
      <p>Die Attribute der jeweiligen Entit&auml;t werden nun in die Tabelle eingetragen.</p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
        F&uuml;ge die Attribute durch Antippen hinzu.
      </div>
    </div>
  </div>
  <div id="stufe2" class="stufe">
    <div class="stufe-text">
      <h3 id="anzeige" >3. Primärschlüssel kennzeichnen</h3>
      <p>Als n&auml;chstes werden die Prim&auml;rschl&uuml;ssel in der Tabelle hervorgehoben.</p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
        F&uuml;ge die Prim&auml;rschl&uuml;ssel durch Antippen hinzu.
      </div>
    </div>
  </div>
  <div id="stufe3" class="stufe">
    <div class="stufe-text">
      <h3 id="anzeige" >4. Fremdschlüssel kennzeichnen 1:N</h3>
      <p>Die Fremdschl&uuml;ssel sind abh&auml;ngig von dem jeweiligen Beziehungstyp:<br />
        Bei einer <b>1:N-Beziehung</b> wird der Prim&auml;rschl&uuml;ssel der <b>1</b>-Seite der Tabelle der <b>N</b>-Seite als
        Fremdschl&uuml;ssel hinzugef&uuml;gt.
      </p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
        F&uuml;ge den Fremdschl&uuml;ssel durch Klicken hinzu.
      </div>
    </div>
  </div>
  <div id="stufe4" class="stufe">
    <div class="stufe-text">
      <h3 id="anzeige" >5. Fremdschlüssel kennzeichnen N:M</h3>
      <p>Die Fremdschl&uuml;ssel sind abh&auml;ngig von dem jeweiligen Beziehungstyp:<br />
        Bei einer <b>N:M-Beziehung</b> wird die Relation zu einer eigenen Tabelle, in welcher die Prim&auml;rschl&uuml;ssel
        beider Entittstypen als Fremdschl&uuml;ssel eingetragen werden.
      </p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
        Erstelle durch Klicken eine neue Relationen-Tabelle und f&uuml;ge ihr die passenden Fremdschl&uuml;ssel hinzu.
      </div>
    </div>
  </div>
  <div id="stufe5" class="stufe">
    <div class="stufe-text">
      <h3 id="anzeige">6. Beziehung mit Beziehungsattribut</h3>
      <p>Generell gilt, dass Beziehungstypen mit eigenen Attributen ihre eigene Tabelle erhalten. Wenn bereits eine
      N:M-Beziehung vorliegt, werden ihr noch die Attribute in der Tabelle erg&auml;nzt.</p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
        Klicke auf die Attribute des Beziehungstyps, um diese der Tabelle hinzuzuf&uuml;gen.
      </div>
    </div>
  </div>
  <div id="stufe6" class="stufe">
    <div class="stufe-text">
      <h3 id="anzeige">7. Datentypen bestimmten</h3>
      <p>Zuletzt werden noch die Datentypen f&uuml;r alle Attribute bestimmt.</p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header">
          <p>
            <button id="zeige-datentypen" class="btn btn-secondary btn-sm"><strong>👁&nbsp;&nbsp;</strong>Datentypen
            anzeigen</button>
          </p>
      </div>
    </div>
  </div>
  <div id="stufe7" class="stufe">
    <div class="stufe-text">
      <p>Nun ist das Entity-Relationshop-Modell vollst&auml;ndig in ein Relationenmodell &uuml;berf&uuml;hrt.</p>
    </div>
    <div class="card ovk-aufgabe">
      <div class="card-header hidden"></div>
    </div>
  </div>

  <div class=" interactive">
    <div id="interaction"
      style="background-color: #fff; margin: 0 auto; border:1px solid #AAA; padding: 0.5em; min-width: 250px;">
      <div id="button-area">
        <button id="links" class="btn btn-secondary btn-sm" style="float: left">
          <i class="fas fa-backward"></i>
        </button>
        <div id="mitte" class="slidebar" style="float: left">
          <input aria-label="Fortschritt" type="range" min="0" max="7" value="0" class="slider" id="myRange">
        </div>
        <button id="rechts" class="btn btn-secondary btn-sm" style="float: left">
          <i class="fas fa-forward"></i>
        </button>
        <button id="loesung" class="btn btn-secondary btn-sm" style="float: right;">L&ouml;sung</button>
      </div>
      <svg width="100%" viewBox="31 280 903 280" xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink">
        <g id='entity-schueler'>
          <rect class="ovk-svg-graphics entity" x="791.45" y="338" width="81.9" height="36"></rect>
          <text font-size="12.8" class="er-text-title" x="832.4" y="360">
            Sch&uuml;ler
          </text>
        </g>
        <g id="entity-klasse">
          <rect class="ovk-svg-graphics entity" x="520.05" y="339" width="74.2" height="36"></rect>
          <text font-size="12.8" class="er-text-title" x="557.15" y="361">
            Klasse
          </text>
        </g>
        <g id="entity-lehrer">
          <rect class="ovk-svg-graphics entity" x="131.4" y="340" width="74.2" height="36"></rect>
          <text font-size="12.8" class="er-text-title" x="168.5" y="362">
            Lehrer
          </text>
        </g>
        <g>
          <polygon class="ovk-svg-graphics relationship"
            points="622.274,356.44 679.674,322 737.074,356.44 679.674,390.88"></polygon>
          <text font-size="11.2889" class="er-text" x="616.274" y="350.44">
            1
          </text>
          <text font-size="11.2889" class="er-text" x="743.074" y="350.44">
            n
          </text>
          <text font-size="11.2889" class="er-text-title" x="679.674" y="359.968">
            besteht aus
          </text>
        </g>
        <g id="rel-lehrt">
          <polygon class="ovk-svg-graphics relationship" points="324.75,357.2 361.75,335 398.75,357.2 361.75,379.4 ">
          </polygon>
          <text font-size="11.2889" class="er-text" x="318.75" y="351.2">
            n
          </text>
          <text class="er-text" font-size="11.2889" style="" x="404.75" y="351.2">
            m
          </text>
          <text font-size="11.2889" class="er-text-title" x="361.75" y="360.728">
            lehrt
          </text>
        </g>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="594.25" y1="357" x2="621.268"
          y2="356.823"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="737.074" y1="356.44" x2="790.451"
          y2="356.194"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="205.6" y1="358" x2="323.761"
          y2="357.395"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="399.753" y1="357.161" x2="519.057"
          y2="357.039"></line>
        <g id="attr_personalausweis">
          <ellipse class="ovk-svg-graphics attribut" cx="168.5" cy="299" rx="58.5" ry="18">
          </ellipse>
          <text font-size="12.8" class="er-text-title" x="168.5" y="303">
            PersonalNr
          </text>
          <line class="er-line" x1="130" y1="307" x2="207" y2="307">
          </line>
        </g>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="168.5" y1="317" x2="168.5"
          y2="339.001"></line>
        <g id="attr_name">
          <ellipse class="ovk-svg-graphics attribut" cx="68.4" cy="359" rx="35.4" ry="18"></ellipse>
          <text class="er-text-title" font-size="12.8" x="68.4" y="363">
            Name
          </text>
        </g>
        <g id="attr_teilzeit">
          <ellipse class="ovk-svg-graphics attribut" cx="168.5" cy="408" rx="50.8" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="168.5" y="412">
            Teilzeit
          </text>
        </g>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="104.795" y1="358.636" x2="130.394"
          y2="358.381"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="168.5" y1="388.994" x2="168.5"
          y2="377.006"></line>
        <g id='attribut-klasse'>
          <ellipse class="ovk-svg-graphics attribut" cx="474.15" cy="299" rx="43.1" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="474.15" y="303">
            Klasse
          </text>
          <line class="er-line" x1="451.05" y1="307" x2="497.25" y2="307"></line>
        </g>
        <g id="attr_elternsprecher">
          <ellipse class="ovk-svg-graphics attribut" cx="605.9" cy="299" rx="73.9" ry="18">
          </ellipse>
          <text font-size="12.8" class="er-text-title" x="605.9" y="303">
            Elternsprecher
          </text>
        </g>
        <g id="attr_klassenlehrer">
          <ellipse class="ovk-svg-graphics attribut" cx="557.15" cy="408" rx="70.05" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="557.15" y="412">
            Klassenlehrer
          </text>
        </g>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="474.15" y1="317" x2="519.044"
          y2="338.636"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="590.451" y1="317.38" x2="573.11"
          y2="338.011"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="557.15" y1="389.012" x2="557.15"
          y2="375.988"></line>
        <g id="attr_fach">
          <ellipse class="ovk-svg-graphics attribut" cx="362.55" cy="299" rx="35.4" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="362.55" y="303">
            Fach
          </text>
        </g>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="362.289" y1="317.997" x2="362.069"
          y2="333.997"></line>
        <g id="attr_wochenstunden">
          <ellipse class="ovk-svg-graphics attribut" cx="362.55" cy="408" rx="70.05" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="362.55" y="412">
            Wochenstunden
          </text>
        </g>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="362.251" y1="389.024" x2="362.114"
          y2="380.318"></line>
        <g id="attr_schueler">
          <ellipse class="ovk-svg-graphics attribut" cx="778.4" cy="299" rx="58.5" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="778.4" y="303">
            SchuelerNr
          </text>
          <line class="er-line" x1="739.9" y1="307" x2="816.9" y2="307"></line>
        </g>
        <g id="attr_name2">
          <ellipse class="ovk-svg-graphics attribut" cx="898.4" cy="299" rx="35.4" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="898.4" y="303">
            Name
          </text>
        </g>
        <g id="attr_geburtsdatum">
          <ellipse class="ovk-svg-graphics attribut" cx="835.4" cy="410" rx="66.2" ry="18"></ellipse>
          <text font-size="12.8" class="er-text-title" x="835.4" y="414">
            Geburtsdatum
          </text>
        </g>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="795.446" y1="316.993" x2="814.404"
          y2="337.005"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="879.692" y1="315.156" x2="854.395"
          y2="337.005"></line>
        <line style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000" x1="834.345" y1="391.002" x2="833.455"
          y2="374.998"></line>
        <g id="tab_lehrer" visibility="hidden">
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="95.9" y="458" width="149.2" height="18"></rect>
          <text font-size="11.2" class="er-text-title" x="170.5" y="472">
            Lehrer
          </text>
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="95.9" y="476" width="149.2" height="68"></rect>
          <text visibility="hidden" id="at_personalnr" font-size="12.8" class="er-text" x="104.9" y="492">
            PersonalNr
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="207.3" y="492" id="dat_personalnr">
            T4
          </text>
          <line id="prim_personalnr" visibility="hidden"
            style="fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000" x1="104.9" y1="493.6" x2="222.7"
            y2="493.6"></line>
          <text visibility="hidden" id="at_fname" font-size="12.8" class="er-text" x="104.9" y="508">
            Familienname
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="207.3" y="508" id="dat_fname">
            T50
          </text>
          <text visibility="hidden" id="at_vname" font-size="12.8" class="er-text" x="104.9" y="524">
            Vorname
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="207.3" y="524" id="dat_vname">
            T50
          </text>
          <text visibility="hidden" id="at_teilzeit" font-size="12.8" class="er-text" x="104.9" y="540">
            Teilzeit
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="207.3" y="540" id="dat_teilzeit">
            Bool
          </text>
        </g>
        <g id="tab_lehrt" visibility="hidden">
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="275.25" y="458" width="164.6" height="18">
          </rect>
          <text font-size="11.2" class="er-text" x="357.55" y="472">
            lehrt
          </text>
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="275.25" y="476" width="164.6" height="84">
          </rect>
          <text font-size="12.8" class="er-text" x="284.25" y="492">
            LfdNr
          </text>
          <line visibility="hidden" style="fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000" x1="284.25"
            y1="493.6" x2="394.35" y2="493.6"></line>
          <text visibility="hidden" font-size="12.8" class="er-text" x="284.25" y="508" id="fremd_personalnr">
            PersonalNr
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="394.35" y="508" id="dat_fremdpersonalnr">
            T4
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="284.25" y="524" id="fremd_klasse2">
            Klasse
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="394.35" y="524" id="dat_fremdklasse">
            T3
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="284.25" y="540" id="at_fach">
            Fach
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="394.35" y="540" id="dat_fach">
            T50
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="284.25" y="556" id="at_wochenstunden">
            Wochenstunden
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="394.35" y="556" id="dat_wochenstunden">
            ZByte
          </text>
        </g>
        <g id="tab_klasse" visibility="hidden">
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="482.7" y="458" width="156.9" height="18">
          </rect>
          <text font-size="11.2" class="er-text-title" x="561.15" y="472">
            Klasse
          </text>
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="482.7" y="476" width="156.9" height="52">
          </rect>
          <text id="at_klasse" visibility="hidden" font-size="12.8" class="er-text" x="491.7" y="492">
            Klasse
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="609.5" y="492" id="dat_fremdklasse2">
            T3
          </text>
          <line id="prim_klasse" visibility="hidden" style="fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000"
            x1="491.7" y1="493.6" x2="624.9" y2="493.6"></line>
          <text visibility="hidden" font-size="12.8" class="er-text" x="491.7" y="508" id="at_elternsprecher">
            Elternsprecher
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="609.5" y="508" id="dat_elternsprecher">
            T50
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="491.7" y="524" id="at_klassenlehrer">
            Klassenlehrer
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x x="491.7" x="609.5" y="524" id="dat_klassenlehrer">
            T50
          </text>
        </g>
        <g id="tab_schueler" visibility="hidden">
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="752" y="458" width="164.6" height="18">
          </rect>
          <text font-size="11.2" class="er-text-title" x="834.3" y="472">
            Schueler
          </text>
          <rect style="fill: #ffffff; stroke-width: 2; stroke: #000000" x="752" y="476" width="164.6" height="84">
          </rect>
          <text visibility="hidden" font-size="12.8" class="er-text" x="761" y="492" id="at_schuelernr">
            SchuelerNr
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="871.1" y="492" id="dat_schuelernr">
            T6
          </text>
          <line id="prim_schuelernr" visibility="hidden"
            style="fill: none; fill-opacity:0; stroke-width: 1; stroke: #000000" x1="761" y1="493.6" x2="886.5"
            y2="493.6"></line>
          <text visibility="hidden" font-size="12.8" class="er-text" x="761" y="508" id="fremd_klasse">
            Klasse
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="871.1" y="508" id="dat_klasse">
            T3
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="761" y="524" id="at_sfname">
            Familiennamen
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="871.1" y="524" id="dat_sfname">
            T50
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="761" y="540" id="at_svname">
            Vornamen
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="871.1" y="540" id="dat_svname">
            T50
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="761" y="556" id="at_geburtsdatum">
            Geburtsdatum
          </text>
          <text visibility="hidden" font-size="12.8" class="er-text" x="871.1" y="556" id="dat_geburtsdatum">
            Datum
          </text>
        </g>
        <g>
          <polyline id="fremd_line2" visibility="hidden"
            style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000"
            points="245.1,486 260.175,486 260.175,502 275.25,502 "></polyline>
          <text visibility="hidden" font-size="9.6"
            style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="249.1"
            y="482" id="rel1a">
            1
          </text>
          <text visibility="hidden" font-size="9.6"
            style="fill: #000000;text-anchor:end;font-family:monospace;font-style:normal;font-weight:normal" x="271.25"
            y="498" id="rel1b">
            n
          </text>
        </g>
        <g>
          <polyline id="fremd_line3" visibility="hidden"
            style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000"
            points="482.7,486 461.275,486 461.275,518 439.85,518 "></polyline>
          <text visibility="hidden" font-size="9.6"
            style="fill: #000000;text-anchor:end;font-family:monospace;font-style:normal;font-weight:normal" x="478.7"
            y="482" id="rel2a">
            1
          </text>
          <text visibility="hidden" font-size="9.6"
            style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="443.85"
            y="514" id="rel2b">
            n
          </text>
        </g>
        <g>
          <polyline id="fremd_line1" visibility="hidden"
            style="fill: none; fill-opacity:0; stroke-width: 2; stroke: #000000"
            points="639.6,486 695.8,486 695.8,502 752,502 "></polyline>
          <text visibility="hidden" font-size="9.6"
            style="fill: #000000;text-anchor:start;font-family:monospace;font-style:normal;font-weight:normal" x="643.6"
            y="482" id="rel3a">
            1
          </text>
          <text visibility="hidden" font-size="9.6"
            style="fill: #000000;text-anchor:end;font-family:monospace;font-style:normal;font-weight:normal" x="748"
            y="498" id="rel3b">
            n
          </text>
        </g>
      </svg>
    </div>
    <div class="interactiveOverlay"></div>
  </div>
</div>